summaryrefslogtreecommitdiff
path: root/images/runit-edge/runit
diff options
context:
space:
mode:
Diffstat (limited to 'images/runit-edge/runit')
-rw-r--r--images/runit-edge/runit/run17
1 files changed, 17 insertions, 0 deletions
diff --git a/images/runit-edge/runit/run b/images/runit-edge/runit/run
new file mode 100644
index 0000000..c3861c2
--- /dev/null
+++ b/images/runit-edge/runit/run
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+echo "Found services:"
+find /etc/service -mindepth 1 -maxdepth 1
+
+/sbin/runsvdir /etc/service &
+runsvdir_pid=$!
+echo "Started runit as $runsvdir_pid"
+
+runit_stop() {
+ echo "Stopping runit"
+ # "If runsvdir receives HUP, it sends TERM to each runsv process"
+ kill -HUP $runsvdir_pid
+}
+
+trap "runit_stop" SIGTERM
+wait